// This namespaced header is generated.
// Add source files to the libMapboxMobileEvents target, then run `make name-header`.

#ifndef __NS_SYMBOL
// We need to have multiple levels of macros here so that __NAMESPACE_PREFIX_ is
// properly replaced by the time we concatenate the namespace prefix.
#define __NS_REWRITE(ns, symbol) ns ## _ ## symbol
#define __NS_BRIDGE(ns, symbol) __NS_REWRITE(ns, symbol)
#define __NS_SYMBOL(symbol) __NS_BRIDGE(MGL, symbol)
#endif

    
// Classes
#ifndef MMEAPIClient
#define MMEAPIClient __NS_SYMBOL(MMEAPIClient)
#endif

#ifndef MMECategoryLoader
#define MMECategoryLoader __NS_SYMBOL(MMECategoryLoader)
#endif

#ifndef MMECertPin
#define MMECertPin __NS_SYMBOL(MMECertPin)
#endif

#ifndef MMECommonEventData
#define MMECommonEventData __NS_SYMBOL(MMECommonEventData)
#endif

#ifndef MMEDate
#define MMEDate __NS_SYMBOL(MMEDate)
#endif

#ifndef MMEDependencyManager
#define MMEDependencyManager __NS_SYMBOL(MMEDependencyManager)
#endif

#ifndef MMEDispatchManager
#define MMEDispatchManager __NS_SYMBOL(MMEDispatchManager)
#endif

#ifndef MMEEvent
#define MMEEvent __NS_SYMBOL(MMEEvent)
#endif

#ifndef MMEEventLogReportViewController
#define MMEEventLogReportViewController __NS_SYMBOL(MMEEventLogReportViewController)
#endif

#ifndef MMEEventLogger
#define MMEEventLogger __NS_SYMBOL(MMEEventLogger)
#endif

#ifndef MMEEventsManager
#define MMEEventsManager __NS_SYMBOL(MMEEventsManager)
#endif

#ifndef MMELocationManager
#define MMELocationManager __NS_SYMBOL(MMELocationManager)
#endif

#ifndef MMEMetrics
#define MMEMetrics __NS_SYMBOL(MMEMetrics)
#endif

#ifndef MMEMetricsManager
#define MMEMetricsManager __NS_SYMBOL(MMEMetricsManager)
#endif

#ifndef MMENSURLSessionWrapper
#define MMENSURLSessionWrapper __NS_SYMBOL(MMENSURLSessionWrapper)
#endif

#ifndef MMEReachability
#define MMEReachability __NS_SYMBOL(MMEReachability)
#endif

#ifndef MMETimerManager
#define MMETimerManager __NS_SYMBOL(MMETimerManager)
#endif

#ifndef MMEUIApplicationWrapper
#define MMEUIApplicationWrapper __NS_SYMBOL(MMEUIApplicationWrapper)
#endif

#ifndef MMEUINavigation
#define MMEUINavigation __NS_SYMBOL(MMEUINavigation)
#endif

#ifndef MMEUniqueIdentifier
#define MMEUniqueIdentifier __NS_SYMBOL(MMEUniqueIdentifier)
#endif

// Functions
#ifndef mme_linkCLLocationCategory
#define mme_linkCLLocationCategory __NS_SYMBOL(mme_linkCLLocationCategory)
#endif

#ifndef mme_linkCLLocationManagerCategory
#define mme_linkCLLocationManagerCategory __NS_SYMBOL(mme_linkCLLocationManagerCategory)
#endif

#ifndef mme_linkNSDataCategory
#define mme_linkNSDataCategory __NS_SYMBOL(mme_linkNSDataCategory)
#endif

#ifndef mme_linkUIKitCategories
#define mme_linkUIKitCategories __NS_SYMBOL(mme_linkUIKitCategories)
#endif

// Externs
#ifndef _OBJC_PROTOCOL_$_MMEUIApplicationWrapper
#define _OBJC_PROTOCOL_$_MMEUIApplicationWrapper __NS_SYMBOL(_OBJC_PROTOCOL_$_MMEUIApplicationWrapper)
#endif

#ifndef _OBJC_PROTOCOL_$_MMEUniqueIdentifer
#define _OBJC_PROTOCOL_$_MMEUniqueIdentifer __NS_SYMBOL(_OBJC_PROTOCOL_$_MMEUniqueIdentifer)
#endif

#ifndef _OBJC_PROTOCOL_$_MMENSURLSessionWrapper
#define _OBJC_PROTOCOL_$_MMENSURLSessionWrapper __NS_SYMBOL(_OBJC_PROTOCOL_$_MMENSURLSessionWrapper)
#endif

#ifndef _OBJC_PROTOCOL_$_MMELocationManager
#define _OBJC_PROTOCOL_$_MMELocationManager __NS_SYMBOL(_OBJC_PROTOCOL_$_MMELocationManager)
#endif

#ifndef _OBJC_PROTOCOL_$_MMELocationManagerDelegate
#define _OBJC_PROTOCOL_$_MMELocationManagerDelegate __NS_SYMBOL(_OBJC_PROTOCOL_$_MMELocationManagerDelegate)
#endif

// Protocols
#ifndef MMEUIApplicationWrapper
#define MMEUIApplicationWrapper __NS_SYMBOL(MMEUIApplicationWrapper)
#endif

#ifndef MMEUniqueIdentifer
#define MMEUniqueIdentifer __NS_SYMBOL(MMEUniqueIdentifer)
#endif

#ifndef MMENSURLSessionWrapper
#define MMENSURLSessionWrapper __NS_SYMBOL(MMENSURLSessionWrapper)
#endif

#ifndef MMELocationManager
#define MMELocationManager __NS_SYMBOL(MMELocationManager)
#endif

#ifndef MMELocationManagerDelegate
#define MMELocationManagerDelegate __NS_SYMBOL(MMELocationManagerDelegate)
#endif

// Constants
#ifndef MMEApplicationStateForeground
#define MMEApplicationStateForeground __NS_SYMBOL(MMEApplicationStateForeground)
#endif

#ifndef MMEApplicationStateBackground
#define MMEApplicationStateBackground __NS_SYMBOL(MMEApplicationStateBackground)
#endif

#ifndef MMEApplicationStateInactive
#define MMEApplicationStateInactive __NS_SYMBOL(MMEApplicationStateInactive)
#endif

#ifndef MMEApplicationStateUnknown
#define MMEApplicationStateUnknown __NS_SYMBOL(MMEApplicationStateUnknown)
#endif

#ifndef MMESemverInvalidVersion
#define MMESemverInvalidVersion __NS_SYMBOL(MMESemverInvalidVersion)
#endif

#ifndef MMELocationManagerDistanceFilter
#define MMELocationManagerDistanceFilter __NS_SYMBOL(MMELocationManagerDistanceFilter)
#endif

#ifndef MMELocationManagerRegionCenterDistanceFilter
#define MMELocationManagerRegionCenterDistanceFilter __NS_SYMBOL(MMELocationManagerRegionCenterDistanceFilter)
#endif

#ifndef MMERadiusAccuracyMax
#define MMERadiusAccuracyMax __NS_SYMBOL(MMERadiusAccuracyMax)
#endif

#ifndef MMEAPIClientBaseAPIURL
#define MMEAPIClientBaseAPIURL __NS_SYMBOL(MMEAPIClientBaseAPIURL)
#endif

#ifndef MMEAPIClientBaseChinaAPIURL
#define MMEAPIClientBaseChinaAPIURL __NS_SYMBOL(MMEAPIClientBaseChinaAPIURL)
#endif

#ifndef MMEAPIClientBaseEventsURL
#define MMEAPIClientBaseEventsURL __NS_SYMBOL(MMEAPIClientBaseEventsURL)
#endif

#ifndef MMEAPIClientBaseChinaEventsURL
#define MMEAPIClientBaseChinaEventsURL __NS_SYMBOL(MMEAPIClientBaseChinaEventsURL)
#endif

#ifndef MMEAPIClientEventsPath
#define MMEAPIClientEventsPath __NS_SYMBOL(MMEAPIClientEventsPath)
#endif

#ifndef MMEAPIClientEventsConfigPath
#define MMEAPIClientEventsConfigPath __NS_SYMBOL(MMEAPIClientEventsConfigPath)
#endif

#ifndef MMEAPIClientAttachmentsPath
#define MMEAPIClientAttachmentsPath __NS_SYMBOL(MMEAPIClientAttachmentsPath)
#endif

#ifndef MMEAPIClientHeaderFieldUserAgentKey
#define MMEAPIClientHeaderFieldUserAgentKey __NS_SYMBOL(MMEAPIClientHeaderFieldUserAgentKey)
#endif

#ifndef MMEAPIClientHeaderFieldContentTypeKey
#define MMEAPIClientHeaderFieldContentTypeKey __NS_SYMBOL(MMEAPIClientHeaderFieldContentTypeKey)
#endif

#ifndef MMEAPIClientHeaderFieldContentTypeValue
#define MMEAPIClientHeaderFieldContentTypeValue __NS_SYMBOL(MMEAPIClientHeaderFieldContentTypeValue)
#endif

#ifndef MMEAPIClientAttachmentsHeaderFieldContentTypeValue
#define MMEAPIClientAttachmentsHeaderFieldContentTypeValue __NS_SYMBOL(MMEAPIClientAttachmentsHeaderFieldContentTypeValue)
#endif

#ifndef MMEAPIClientHeaderFieldContentEncodingKey
#define MMEAPIClientHeaderFieldContentEncodingKey __NS_SYMBOL(MMEAPIClientHeaderFieldContentEncodingKey)
#endif

#ifndef MMEAPIClientHTTPMethodPost
#define MMEAPIClientHTTPMethodPost __NS_SYMBOL(MMEAPIClientHTTPMethodPost)
#endif

#ifndef MMEAPIClientHTTPMethodGet
#define MMEAPIClientHTTPMethodGet __NS_SYMBOL(MMEAPIClientHTTPMethodGet)
#endif

#ifndef MMEResponseKey
#define MMEResponseKey __NS_SYMBOL(MMEResponseKey)
#endif

#ifndef MMEDebugEventType
#define MMEDebugEventType __NS_SYMBOL(MMEDebugEventType)
#endif

#ifndef MMEDebugEventTypeError
#define MMEDebugEventTypeError __NS_SYMBOL(MMEDebugEventTypeError)
#endif

#ifndef MMEDebugEventTypeFlush
#define MMEDebugEventTypeFlush __NS_SYMBOL(MMEDebugEventTypeFlush)
#endif

#ifndef MMEDebugEventTypePush
#define MMEDebugEventTypePush __NS_SYMBOL(MMEDebugEventTypePush)
#endif

#ifndef MMEDebugEventTypePost
#define MMEDebugEventTypePost __NS_SYMBOL(MMEDebugEventTypePost)
#endif

#ifndef MMEDebugEventTypePostFailed
#define MMEDebugEventTypePostFailed __NS_SYMBOL(MMEDebugEventTypePostFailed)
#endif

#ifndef MMEDebugEventTypeTurnstile
#define MMEDebugEventTypeTurnstile __NS_SYMBOL(MMEDebugEventTypeTurnstile)
#endif

#ifndef MMEDebugEventTypeTurnstileFailed
#define MMEDebugEventTypeTurnstileFailed __NS_SYMBOL(MMEDebugEventTypeTurnstileFailed)
#endif

#ifndef MMEDebugEventTypeBackgroundTask
#define MMEDebugEventTypeBackgroundTask __NS_SYMBOL(MMEDebugEventTypeBackgroundTask)
#endif

#ifndef MMEDebugEventTypeMetricCollection
#define MMEDebugEventTypeMetricCollection __NS_SYMBOL(MMEDebugEventTypeMetricCollection)
#endif

#ifndef MMEDebugEventTypeLocationManager
#define MMEDebugEventTypeLocationManager __NS_SYMBOL(MMEDebugEventTypeLocationManager)
#endif

#ifndef MMEDebugEventTypeTelemetryMetrics
#define MMEDebugEventTypeTelemetryMetrics __NS_SYMBOL(MMEDebugEventTypeTelemetryMetrics)
#endif

#ifndef MMEDebugEventTypeCertPinning
#define MMEDebugEventTypeCertPinning __NS_SYMBOL(MMEDebugEventTypeCertPinning)
#endif

#ifndef MMEEventTypeAppUserTurnstile
#define MMEEventTypeAppUserTurnstile __NS_SYMBOL(MMEEventTypeAppUserTurnstile)
#endif

#ifndef MMEEventTypeTelemetryMetrics
#define MMEEventTypeTelemetryMetrics __NS_SYMBOL(MMEEventTypeTelemetryMetrics)
#endif

#ifndef MMEEventTypeLocation
#define MMEEventTypeLocation __NS_SYMBOL(MMEEventTypeLocation)
#endif

#ifndef MMEEventTypeVisit
#define MMEEventTypeVisit __NS_SYMBOL(MMEEventTypeVisit)
#endif

#ifndef MMEEventTypeLocalDebug
#define MMEEventTypeLocalDebug __NS_SYMBOL(MMEEventTypeLocalDebug)
#endif

#ifndef MMEEventTypeMapLoad
#define MMEEventTypeMapLoad __NS_SYMBOL(MMEEventTypeMapLoad)
#endif

#ifndef MMEventTypeOfflineDownloadStart
#define MMEventTypeOfflineDownloadStart __NS_SYMBOL(MMEventTypeOfflineDownloadStart)
#endif

#ifndef MMEventTypeOfflineDownloadEnd
#define MMEventTypeOfflineDownloadEnd __NS_SYMBOL(MMEventTypeOfflineDownloadEnd)
#endif

#ifndef MMEEventKeyArrivalDate
#define MMEEventKeyArrivalDate __NS_SYMBOL(MMEEventKeyArrivalDate)
#endif

#ifndef MMEEventKeyDepartureDate
#define MMEEventKeyDepartureDate __NS_SYMBOL(MMEEventKeyDepartureDate)
#endif

#ifndef MMEEventKeyLatitude
#define MMEEventKeyLatitude __NS_SYMBOL(MMEEventKeyLatitude)
#endif

#ifndef MMEEventKeyLongitude
#define MMEEventKeyLongitude __NS_SYMBOL(MMEEventKeyLongitude)
#endif

#ifndef MMEEventKeyMaxZoomLevel
#define MMEEventKeyMaxZoomLevel __NS_SYMBOL(MMEEventKeyMaxZoomLevel)
#endif

#ifndef MMEEventKeyMinZoomLevel
#define MMEEventKeyMinZoomLevel __NS_SYMBOL(MMEEventKeyMinZoomLevel)
#endif

#ifndef MMEEventKeyZoomLevel
#define MMEEventKeyZoomLevel __NS_SYMBOL(MMEEventKeyZoomLevel)
#endif

#ifndef MMEEventKeySpeed
#define MMEEventKeySpeed __NS_SYMBOL(MMEEventKeySpeed)
#endif

#ifndef MMEEventKeyStyleURL
#define MMEEventKeyStyleURL __NS_SYMBOL(MMEEventKeyStyleURL)
#endif

#ifndef MMEEventKeyCourse
#define MMEEventKeyCourse __NS_SYMBOL(MMEEventKeyCourse)
#endif

#ifndef MMEEventHorizontalAccuracy
#define MMEEventHorizontalAccuracy __NS_SYMBOL(MMEEventHorizontalAccuracy)
#endif

#ifndef MMEEventKeyLocalDebugDescription
#define MMEEventKeyLocalDebugDescription __NS_SYMBOL(MMEEventKeyLocalDebugDescription)
#endif

#ifndef MMEEventKeyErrorCode
#define MMEEventKeyErrorCode __NS_SYMBOL(MMEEventKeyErrorCode)
#endif

#ifndef MMEEventKeyErrorDomain
#define MMEEventKeyErrorDomain __NS_SYMBOL(MMEEventKeyErrorDomain)
#endif

#ifndef MMEEventKeyErrorDescription
#define MMEEventKeyErrorDescription __NS_SYMBOL(MMEEventKeyErrorDescription)
#endif

#ifndef MMEEventKeyErrorFailureReason
#define MMEEventKeyErrorFailureReason __NS_SYMBOL(MMEEventKeyErrorFailureReason)
#endif

#ifndef MMEEventKeyErrorNoReason
#define MMEEventKeyErrorNoReason __NS_SYMBOL(MMEEventKeyErrorNoReason)
#endif

#ifndef MMEEventKeyErrorNoDomain
#define MMEEventKeyErrorNoDomain __NS_SYMBOL(MMEEventKeyErrorNoDomain)
#endif

#ifndef MMEEventKeyEvent
#define MMEEventKeyEvent __NS_SYMBOL(MMEEventKeyEvent)
#endif

#ifndef MMEEventKeyCreated
#define MMEEventKeyCreated __NS_SYMBOL(MMEEventKeyCreated)
#endif

#ifndef MMEEventKeyVendorId
#define MMEEventKeyVendorId __NS_SYMBOL(MMEEventKeyVendorId)
#endif

#ifndef MMEEventKeyModel
#define MMEEventKeyModel __NS_SYMBOL(MMEEventKeyModel)
#endif

#ifndef MMELocationManagerRegionIdentifier
#define MMELocationManagerRegionIdentifier __NS_SYMBOL(MMELocationManagerRegionIdentifier)
#endif

#ifndef MMEEventKeyDevice
#define MMEEventKeyDevice __NS_SYMBOL(MMEEventKeyDevice)
#endif

#ifndef MMEEventKeySkuId
#define MMEEventKeySkuId __NS_SYMBOL(MMEEventKeySkuId)
#endif

#ifndef MMEEventKeyEnabledTelemetry
#define MMEEventKeyEnabledTelemetry __NS_SYMBOL(MMEEventKeyEnabledTelemetry)
#endif

#ifndef MMEEventKeyOperatingSystem
#define MMEEventKeyOperatingSystem __NS_SYMBOL(MMEEventKeyOperatingSystem)
#endif

#ifndef MMEEventKeyResolution
#define MMEEventKeyResolution __NS_SYMBOL(MMEEventKeyResolution)
#endif

#ifndef MMEEventKeyAccessibilityFontScale
#define MMEEventKeyAccessibilityFontScale __NS_SYMBOL(MMEEventKeyAccessibilityFontScale)
#endif

#ifndef MMEEventKeyOrientation
#define MMEEventKeyOrientation __NS_SYMBOL(MMEEventKeyOrientation)
#endif

#ifndef MMEEventKeyPluggedIn
#define MMEEventKeyPluggedIn __NS_SYMBOL(MMEEventKeyPluggedIn)
#endif

#ifndef MMEEventKeyWifi
#define MMEEventKeyWifi __NS_SYMBOL(MMEEventKeyWifi)
#endif

#ifndef MMEEventKeyShapeForOfflineRegion
#define MMEEventKeyShapeForOfflineRegion __NS_SYMBOL(MMEEventKeyShapeForOfflineRegion)
#endif

#ifndef MMEEventKeySource
#define MMEEventKeySource __NS_SYMBOL(MMEEventKeySource)
#endif

#ifndef MMEEventKeySessionId
#define MMEEventKeySessionId __NS_SYMBOL(MMEEventKeySessionId)
#endif

#ifndef MMEEventKeyApplicationState
#define MMEEventKeyApplicationState __NS_SYMBOL(MMEEventKeyApplicationState)
#endif

#ifndef MMEEventKeyAltitude
#define MMEEventKeyAltitude __NS_SYMBOL(MMEEventKeyAltitude)
#endif

#ifndef MMEEventKeyLocationAuthorization
#define MMEEventKeyLocationAuthorization __NS_SYMBOL(MMEEventKeyLocationAuthorization)
#endif

#ifndef MMEEventKeyLocationEnabled
#define MMEEventKeyLocationEnabled __NS_SYMBOL(MMEEventKeyLocationEnabled)
#endif

#ifndef MMEEventKeyFailedRequests
#define MMEEventKeyFailedRequests __NS_SYMBOL(MMEEventKeyFailedRequests)
#endif

#ifndef MMEEventKeyHeader
#define MMEEventKeyHeader __NS_SYMBOL(MMEEventKeyHeader)
#endif

#ifndef MMEEventKeyPlatform
#define MMEEventKeyPlatform __NS_SYMBOL(MMEEventKeyPlatform)
#endif

#ifndef MMEEventKeyUserAgent
#define MMEEventKeyUserAgent __NS_SYMBOL(MMEEventKeyUserAgent)
#endif

#ifndef MMEEventKeyiOS
#define MMEEventKeyiOS __NS_SYMBOL(MMEEventKeyiOS)
#endif

#ifndef MMEEventKeyMac
#define MMEEventKeyMac __NS_SYMBOL(MMEEventKeyMac)
#endif

#ifndef MMEEventSDKIdentifier
#define MMEEventSDKIdentifier __NS_SYMBOL(MMEEventSDKIdentifier)
#endif

#ifndef MMEEventSDKVersion
#define MMEEventSDKVersion __NS_SYMBOL(MMEEventSDKVersion)
#endif

#ifndef MMEEventDateUTC
#define MMEEventDateUTC __NS_SYMBOL(MMEEventDateUTC)
#endif

#ifndef MMEEventRequests
#define MMEEventRequests __NS_SYMBOL(MMEEventRequests)
#endif

#ifndef MMEEventTotalDataSent
#define MMEEventTotalDataSent __NS_SYMBOL(MMEEventTotalDataSent)
#endif

#ifndef MMEEventCellDataSent
#define MMEEventCellDataSent __NS_SYMBOL(MMEEventCellDataSent)
#endif

#ifndef MMEEventWiFiDataSent
#define MMEEventWiFiDataSent __NS_SYMBOL(MMEEventWiFiDataSent)
#endif

#ifndef MMEEventTotalDataReceived
#define MMEEventTotalDataReceived __NS_SYMBOL(MMEEventTotalDataReceived)
#endif

#ifndef MMEEventCellDataReceived
#define MMEEventCellDataReceived __NS_SYMBOL(MMEEventCellDataReceived)
#endif

#ifndef MMEEventWiFiDataReceived
#define MMEEventWiFiDataReceived __NS_SYMBOL(MMEEventWiFiDataReceived)
#endif

#ifndef MMEEventAppWakeups
#define MMEEventAppWakeups __NS_SYMBOL(MMEEventAppWakeups)
#endif

#ifndef MMEEventEventCountPerType
#define MMEEventEventCountPerType __NS_SYMBOL(MMEEventEventCountPerType)
#endif

#ifndef MMEEventEventCountFailed
#define MMEEventEventCountFailed __NS_SYMBOL(MMEEventEventCountFailed)
#endif

#ifndef MMEEventEventCountTotal
#define MMEEventEventCountTotal __NS_SYMBOL(MMEEventEventCountTotal)
#endif

#ifndef MMEEventEventCountMax
#define MMEEventEventCountMax __NS_SYMBOL(MMEEventEventCountMax)
#endif

#ifndef MMEEventDeviceLat
#define MMEEventDeviceLat __NS_SYMBOL(MMEEventDeviceLat)
#endif

#ifndef MMEEventDeviceLon
#define MMEEventDeviceLon __NS_SYMBOL(MMEEventDeviceLon)
#endif

#ifndef MMEEventDeviceTimeDrift
#define MMEEventDeviceTimeDrift __NS_SYMBOL(MMEEventDeviceTimeDrift)
#endif

#ifndef MMEEventConfigResponse
#define MMEEventConfigResponse __NS_SYMBOL(MMEEventConfigResponse)
#endif

#ifndef MMEEventStatusDenied
#define MMEEventStatusDenied __NS_SYMBOL(MMEEventStatusDenied)
#endif

#ifndef MMEEventStatusRestricted
#define MMEEventStatusRestricted __NS_SYMBOL(MMEEventStatusRestricted)
#endif

#ifndef MMEEventStatusNotDetermined
#define MMEEventStatusNotDetermined __NS_SYMBOL(MMEEventStatusNotDetermined)
#endif

#ifndef MMEEventStatusAuthorizedAlways
#define MMEEventStatusAuthorizedAlways __NS_SYMBOL(MMEEventStatusAuthorizedAlways)
#endif

#ifndef MMEEventStatusAuthorizedWhenInUse
#define MMEEventStatusAuthorizedWhenInUse __NS_SYMBOL(MMEEventStatusAuthorizedWhenInUse)
#endif

#ifndef MMEEventUnknown
#define MMEEventUnknown __NS_SYMBOL(MMEEventUnknown)
#endif

#ifndef MMEVisionEventPrefix
#define MMEVisionEventPrefix __NS_SYMBOL(MMEVisionEventPrefix)
#endif

#ifndef MMENavigationEventPrefix
#define MMENavigationEventPrefix __NS_SYMBOL(MMENavigationEventPrefix)
#endif

#ifndef MMEEventTypeNavigationDepart
#define MMEEventTypeNavigationDepart __NS_SYMBOL(MMEEventTypeNavigationDepart)
#endif

#ifndef MMEEventTypeNavigationArrive
#define MMEEventTypeNavigationArrive __NS_SYMBOL(MMEEventTypeNavigationArrive)
#endif

#ifndef MMEEventTypeNavigationCancel
#define MMEEventTypeNavigationCancel __NS_SYMBOL(MMEEventTypeNavigationCancel)
#endif

#ifndef MMEEventTypeNavigationFeedback
#define MMEEventTypeNavigationFeedback __NS_SYMBOL(MMEEventTypeNavigationFeedback)
#endif

#ifndef MMEEventTypeNavigationReroute
#define MMEEventTypeNavigationReroute __NS_SYMBOL(MMEEventTypeNavigationReroute)
#endif

#ifndef MMEventTypeNavigationCarplayConnect
#define MMEventTypeNavigationCarplayConnect __NS_SYMBOL(MMEventTypeNavigationCarplayConnect)
#endif

#ifndef MMEventTypeNavigationCarplayDisconnect
#define MMEventTypeNavigationCarplayDisconnect __NS_SYMBOL(MMEventTypeNavigationCarplayDisconnect)
#endif

#ifndef MMESearchEventPrefix
#define MMESearchEventPrefix __NS_SYMBOL(MMESearchEventPrefix)
#endif

#ifndef MMEEventTypeSearchSelected
#define MMEEventTypeSearchSelected __NS_SYMBOL(MMEEventTypeSearchSelected)
#endif

#ifndef MMEEventTypeSearchFeedback
#define MMEEventTypeSearchFeedback __NS_SYMBOL(MMEEventTypeSearchFeedback)
#endif

#ifndef MMEEventSource
#define MMEEventSource __NS_SYMBOL(MMEEventSource)
#endif

#ifndef MMEEventMobileCrash
#define MMEEventMobileCrash __NS_SYMBOL(MMEEventMobileCrash)
#endif

#ifndef MMEEventKeyOSVersion
#define MMEEventKeyOSVersion __NS_SYMBOL(MMEEventKeyOSVersion)
#endif

#ifndef MMEEventKeyBuildType
#define MMEEventKeyBuildType __NS_SYMBOL(MMEEventKeyBuildType)
#endif

#ifndef MMEEventKeyIsSilentCrash
#define MMEEventKeyIsSilentCrash __NS_SYMBOL(MMEEventKeyIsSilentCrash)
#endif

#ifndef MMEEventKeyStackTrace
#define MMEEventKeyStackTrace __NS_SYMBOL(MMEEventKeyStackTrace)
#endif

#ifndef MMEEventKeyStackTraceHash
#define MMEEventKeyStackTraceHash __NS_SYMBOL(MMEEventKeyStackTraceHash)
#endif

#ifndef MMEEventKeyInstallationId
#define MMEEventKeyInstallationId __NS_SYMBOL(MMEEventKeyInstallationId)
#endif

#ifndef MMEEventKeyThreadDetails
#define MMEEventKeyThreadDetails __NS_SYMBOL(MMEEventKeyThreadDetails)
#endif

#ifndef MMEEventKeyAppId
#define MMEEventKeyAppId __NS_SYMBOL(MMEEventKeyAppId)
#endif

#ifndef MMEEventKeyAppVersion
#define MMEEventKeyAppVersion __NS_SYMBOL(MMEEventKeyAppVersion)
#endif

#ifndef MMEEventKeyAppStartDate
#define MMEEventKeyAppStartDate __NS_SYMBOL(MMEEventKeyAppStartDate)
#endif

#ifndef MMEEventKeyCustomData
#define MMEEventKeyCustomData __NS_SYMBOL(MMEEventKeyCustomData)
#endif

#ifndef MMEErrorDomain
#define MMEErrorDomain __NS_SYMBOL(MMEErrorDomain)
#endif

#ifndef MMEErrorEventAttributesKey
#define MMEErrorEventAttributesKey __NS_SYMBOL(MMEErrorEventAttributesKey)
#endif

#ifndef MMEErrorUnderlyingExceptionKey
#define MMEErrorUnderlyingExceptionKey __NS_SYMBOL(MMEErrorUnderlyingExceptionKey)
#endif

#ifndef MMEErrorDescriptionKey
#define MMEErrorDescriptionKey __NS_SYMBOL(MMEErrorDescriptionKey)
#endif

#ifndef MMEEventKeyVendorID
#define MMEEventKeyVendorID __NS_SYMBOL(MMEEventKeyVendorID)
#endif

#ifndef MMEEventKeyInstallationID
#define MMEEventKeyInstallationID __NS_SYMBOL(MMEEventKeyInstallationID)
#endif

#ifndef MMEEventKeyAppID
#define MMEEventKeyAppID __NS_SYMBOL(MMEEventKeyAppID)
#endif

#ifndef MMELoggerHTML
#define MMELoggerHTML __NS_SYMBOL(MMELoggerHTML)
#endif

#ifndef MMELoggerShareableHTML
#define MMELoggerShareableHTML __NS_SYMBOL(MMELoggerShareableHTML)
#endif

#ifndef MMEEventKeyGestureId
#define MMEEventKeyGestureId __NS_SYMBOL(MMEEventKeyGestureId)
#endif

#ifndef MMEEventKeyGestureID
#define MMEEventKeyGestureID __NS_SYMBOL(MMEEventKeyGestureID)
#endif

#ifndef MMEEventGestureSingleTap
#define MMEEventGestureSingleTap __NS_SYMBOL(MMEEventGestureSingleTap)
#endif

#ifndef MMEEventGestureDoubleTap
#define MMEEventGestureDoubleTap __NS_SYMBOL(MMEEventGestureDoubleTap)
#endif

#ifndef MMEEventGestureTwoFingerSingleTap
#define MMEEventGestureTwoFingerSingleTap __NS_SYMBOL(MMEEventGestureTwoFingerSingleTap)
#endif

#ifndef MMEEventGestureQuickZoom
#define MMEEventGestureQuickZoom __NS_SYMBOL(MMEEventGestureQuickZoom)
#endif

#ifndef MMEEventGesturePanStart
#define MMEEventGesturePanStart __NS_SYMBOL(MMEEventGesturePanStart)
#endif

#ifndef MMEEventGesturePinchStart
#define MMEEventGesturePinchStart __NS_SYMBOL(MMEEventGesturePinchStart)
#endif

#ifndef MMEEventGestureRotateStart
#define MMEEventGestureRotateStart __NS_SYMBOL(MMEEventGestureRotateStart)
#endif

#ifndef MMEEventGesturePitchStart
#define MMEEventGesturePitchStart __NS_SYMBOL(MMEEventGesturePitchStart)
#endif

#ifndef MMEEventTypeMapTap
#define MMEEventTypeMapTap __NS_SYMBOL(MMEEventTypeMapTap)
#endif

#ifndef MMEEventTypeMapDragEnd
#define MMEEventTypeMapDragEnd __NS_SYMBOL(MMEEventTypeMapDragEnd)
#endif

#ifndef MMEAPIClientBaseURL
#define MMEAPIClientBaseURL __NS_SYMBOL(MMEAPIClientBaseURL)
#endif

